import type { AssertExErrorFunc, AssertExMessageFunc } from './types.ts';
/**
 *
 * Intended for defined checks for variables
 *
 * @param expr - Expression to be evaluated for truthiness
 * @param message - Message in Error if expression is false, may be a function that returns a string
 * @throws AssertExError
 * @returns Value of expression
 */
declare function assertDefinedEx<T>(expr: T | undefined, messageFunc?: AssertExMessageFunc<T>): T;
declare function assertDefinedEx<T, R extends Error>(expr: T | undefined, errorFunc?: AssertExErrorFunc<T, R>): T;
/**
 * @deprecated - passing a message will soon be required
 */
declare function assertDefinedEx<T>(expr: T | undefined): T;
/**
 * @deprecated - replace string with () => string
 */
declare function assertDefinedEx<T>(expr: T | undefined, message?: string): T;
export { assertDefinedEx };
//# sourceMappingURL=assertDefinedEx.d.ts.map