import type { AssertExErrorFunc, AssertExMessageFunc } from './types.ts';
/**
 *
 * Intended for simple truthiness checks for variables
 *
 * @param expr - Expression to be evaluated for truthiness
 * @param message - Message in Error if expression is false, may be a function that returns a string
 * @throws AssertExError
 * @returns Value of expression
 */
declare function assertEx<T>(expr: T | null | undefined, messageFunc?: AssertExMessageFunc<T>): T;
declare function assertEx<T, R extends Error>(expr: T | null | undefined, errorFunc?: AssertExErrorFunc<T, R>): T;
/**
 * @deprecated - passing a message will soon be required
 */
declare function assertEx<T>(expr: T | null | undefined): T;
/**
 * @deprecated - replace string with () => string
 */
declare function assertEx<T>(expr: T | null | undefined, message?: string): T;
export { assertEx };
//# sourceMappingURL=assertEx.d.ts.map